Subject: bug#5191: 23.1.90; Make target compile-main fails under GNU/Linux Kernel 2.6.16

From: Chong Yidong <[email-masked]>
Date: Mon, 14 Dec 2009 18:29:24 -0500

Glenn Morris <[email-masked]> writes:

> Chong Yidong wrote:
>
>> On second thought, I don't think this is a good idea.  Looks like the
>> BSDs use ".sinclude" for silent inclusion, and older systems don't even
>> support that.
>
> I think you are right that include is not portable. It's currently
> only used in GNUstep builds. I don't think "echo -n" is portable
> either. "printf" might be better, I'm not sure.

Another idea: how about autogenerating the ELCFILES Makefile using
configure?  Then Makefile.in could just have a line that says

ELCFILES=@elcfiles@

where @elcfiles@ is generated by configure.